Bug 441947 - cluster-snmp dlopen failure
cluster-snmp dlopen failure
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: clustermon (Show other bugs)
5.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Ryan McCabe
GFS Bugs
: EasyFix
: 442805 (view as bug list)
Depends On:
Blocks: 453600
  Show dependency treegraph
 
Reported: 2008-04-10 16:13 EDT by Jesse Gonzalez
Modified: 2010-10-22 19:58 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:51:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for undefined symbol (613 bytes, patch)
2008-04-10 17:34 EDT, Ryan McCabe
no flags Details | Diff

  None (edit)
Description Jesse Gonzalez 2008-04-10 16:13:34 EDT
Description of problem:

Starting snmpd after adding the configuration as outlined in the cluster-snmp
README, the followign is logged to /var/log/messages:

Apr 10 15:08:18 rhcs-rhel5-02 snmpd[2331]: dlopen failed:
/usr/lib64/cluster-snmp/libClusterMonitorSnmp.so: undefined symbol: cman_init 

I receive a the same error on an i386 install

Apr 10 17:08:18 rhcs-rhel5-02 snmpd[1827]: dlopen failed:
/usr/lib/cluster-snmp/libClusterMonitorSnmp.so: undefined symbol: cman_init 


Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux Server release 5.1 (Tikanga)
cman-2.0.73-1.el5_1.5
modcluster-0.10.0-5.el5_1.1
cluster-snmp-0.10.0-5.el5_1.1

How reproducible:

Install cluster-snmp package and dependencies. Follow the instructions in
/usr/share/doc/cluster-snmp-0.10.0/README.snmpd. View logged entry regarding
'undefined symbol' in /var/log/messages.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ryan McCabe 2008-04-10 17:34:01 EDT
Created attachment 302077 [details]
patch for undefined symbol
Comment 4 Brian Brock 2008-07-28 15:03:03 EDT
setting qa_ack, clear test case
Comment 7 Brian Brock 2008-12-16 19:01:45 EST
verified, error message about missing symbols not seen
Comment 9 errata-xmlrpc 2009-01-20 15:51:41 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0086.html

Note You need to log in before you can comment on or make changes to this bug.